TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ClientProfiles.Get(
context.TODO(),
"id",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles/id"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.GetAsync(
"id"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}クライアントプロファイルを取得
識別子を指定してクライアントプロファイルを1件取得します。指定されたIDのプロファイルがテナントに存在しない場合は、404を返します。
GET
https://{tenantDomain}/api/v2
/
client-profiles
/
{id}
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.get("id");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ClientProfiles.Get(
context.TODO(),
"id",
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles/id"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.GetAsync(
"id"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
クライアントプロファイルのID。 クライアントプロファイルの識別子。
レスポンス
既存のクライアントプロファイルのレコード。
クライアントプロファイルの識別子。
クライアントプロファイルの表示名。
Required string length:
1 - 128Pattern:
^[^\u0000]*$照合条件に一致するクライアントに適用される実行時ポリシー。省略されたフィールドには、各クライアントの設定が適用されます。
Show child attributes
Show child attributes
このプロファイルの適用対象となるクライアントを決定する、実行時の照合ルール。
Show child attributes
Show child attributes
クライアントプロファイルの説明(任意)。
Maximum string length:
256Pattern:
^[^\u0000]*$作成日時。
最終更新日時。